Subject: 23.0.60; mouse-over outline marker in org-mode kills --with-ns emacs

From: "B. Smith-Mannschott" <[email-masked]>
Date: Sat, 8 Nov 2008 10:33:44 +0100

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked]  
mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I'm building emacs from CVS on Mac OS X (actually the git mirror of  
same at
git.svn.gnu.org).

Given an org-mode buffer:

* first level
** second level

When I pass over one of the outline level indicators (i.e. **) with
the mouse emacs dies instantly.

- This only occurs in the with-ns build.
- Emacs on X11 does not exhibit this problem (same sources, same  
machine).
   (It also doesn't occur with the (considerably older) CarbonEmacs.)
- It does not occur in outline-mode
- It occurs only in org-mode, as far as I can tell.
   (Nevertheless, I suspect a problem with the new nextstep/cocoa
   windowing code. It doesn't seem to me that anything that org-mode
   does should be able to outright kill emacs.)

Are you already aware of this problem?  If not, what can I do to help
you narrow it down?

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
     `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/local/share/emacs/23.0.60/etc/DEBUG for instructions.

In GNU Emacs 23.0.60.3 (i386-apple-darwin9.5.0, NS apple-appkit-949.35)
  of 2008-11-07 on Meheadable.local
Windowing system distributor `Apple', version  
97.112.112.108.101.45.97.112.112.107.105.116.45.57.52.57.46.51.53
configured using `configure  '--with-ns' '--disable-ns-self-contained'  
'--prefix=/usr/local''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: nil
   value of $XMODIFIERS: nil
   locale-coding-system: nil
   default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
   openwith-mode: t
   global-hl-line-mode: t
   tooltip-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   global-auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent input:
<menu-bar> <help-menu> <send-emacs-bug-report>

Recent messages:
Warning: arch-dependent data dir (/Users/bsmith/vc/git/emacs/mac/ 
nextstep/Emacs.app/Contents/MacOS/libexec/emacs/23.0.60/i386-apple- 
darwin9.5.0/) does not exist.

Loading /Users/bsmith/.emacs.d/init.el (source)...
Loading /Users/bsmith/.emacs.d/custom.el (source)...
Loading hl-line...done
Loading /Users/bsmith/.emacs.d/custom.el (source)...done
Loading vc-git...done
Loading /Users/bsmith/.emacs.d/init.el (source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.